2019-10-18 23:21 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001232FSSCPFREDpublic2008-08-02 15:19
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001232: FRED2 still allows the use of Zeta wing in coop
DescriptionFred does not catch naming a wing of ships Zeta in mult coop missions. Zeta is apparently reserverd for TVT only. This has always been the case. Don't know if it's a FRED2 issue or a FS2 issue. Probably easier to just catch it in FRED2.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007519

Goober5000 (administrator)

Huh? Why shouldn't we be allowed to name a wing Zeta?

~0007522

FUBAR-BDHR (developer)

Naming a wing Zeta in multiplayer coop causes FS2 to crash at loading. Has always been the case. I found this back in the old PXO days. Even had it stickied on the VBB. I think V wrote something so that Zeta was special and could only be used for TvT.

I don't have an example of my own but will attach a mission written by ShivanSPS that has the problem. It results in a parsing error with this file contains illegal data. Opening the file in notepad and doing a mass replace of Zeta with Ztest fixes problem.

~0007528

Goober5000 (administrator)

That's bizarre. Does this still happen with 3.6.9?

~0007530

FUBAR-BDHR (developer)

Yes that is with 3.6.9 fred2 and 3.6.9 FS2.

~0007953

Goober5000 (administrator)

Can you paste the exact error message?

~0007961

FUBAR-BDHR (developer)

Exact text of message window:

There was an error parsing the mission file. This file contains illegal data.

~0007976

Goober5000 (administrator)

O RLY? I couldn't find that error message in FSO, FRED, or FS2 retail. Are you sure it's a FS2 bug?

~0007980

FUBAR-BDHR (developer)

Last edited: 2007-04-12 03:36

Yes it pops up in a message window while the mission is loading. I think it's right after the second block of the loading status bar. Closing the window completes mission loading but exits back to server list. Error occurred in retail as well as 3.6.9 final. I tired to do a screen shot but apparently it doesn't work at that stage of mission loading.

Just tried it in debug mode. Same error. Top left hand corner of the screen shows ** starting game_level_init() ** when the message window pops up.

~0007983

FUBAR-BDHR (developer)

Forgot about just using a regular screen capture. Print screen uploaded. That pic is the one from 3.6.9 final.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-19 20:28 FUBAR-BDHR New Issue
2007-01-22 16:29 Goober5000 Note Added: 0007519
2007-01-22 16:30 Goober5000 Status new => assigned
2007-01-22 16:30 Goober5000 Assigned To => Goober5000
2007-01-22 16:59 FUBAR-BDHR Note Added: 0007522
2007-01-22 16:59 FUBAR-BDHR File Added: TSM_001_artofwar_fs2.fs2
2007-01-22 19:10 Goober5000 Note Added: 0007528
2007-01-22 23:31 FUBAR-BDHR Note Added: 0007530
2007-04-11 03:22 Goober5000 Note Added: 0007953
2007-04-11 03:40 FUBAR-BDHR Note Added: 0007961
2007-04-12 02:15 Goober5000 Note Added: 0007976
2007-04-12 03:25 FUBAR-BDHR Note Added: 0007980
2007-04-12 03:36 FUBAR-BDHR Note Edited: 0007980
2007-04-12 13:58 FUBAR-BDHR File Added: 0001353.jpg
2007-04-12 14:00 FUBAR-BDHR Note Added: 0007983
2008-08-02 15:16 karajorma Assigned To Goober5000 => karajorma
2008-08-02 15:19 karajorma Status assigned => resolved
2008-08-02 15:19 karajorma Fixed in Version => 3.6.10
2008-08-02 15:19 karajorma Resolution open => fixed
+Issue History